## ItalaSDK v2024.12.10
- Added ItalaApi's NET Framework wrapper (ItalaApiNETFramework) v1.4.1
- Added GigEVision kernel module (oegevmodule v24.04.0) [Linux only]
- Added convenient scripts to install/uninstall GigEVision kernel module [Linux only]
### ItalaApi v1.4.1, ItalaApiC v1.4.1, ItalaApiNET v1.4.1, ItalaApiPython v1.4.2
- Fixed API broken pages in documentation
- Improved streaming log messages
### ItalaApiNET v1.4.1
- Fixed bug on defect detection object dispose
### ItalaView v1.6.0 [Windows only]
- Added dedicated view for processed images from polar sensor cameras

## ItalaSDK v2024.08.01
- Added compatibility with Python3.8, Python3.9, Python3.10 for ItalaApiPython
### ItalaApiPython v1.4.1
- Support old Python versions
### ItalaView v1.5.1 [Windows only]
- Fixed an issue with increments in integer nodes

## ItalaSDK v2024.07.18
### ItalaApi v1.4.0, ItalaApiC v1.4.0, ItalaApiNET v1.4.0, ItalaApiPython v1.4.0
- Supported for image compression

## ItalaSDK v2024.06.13
### ItalaView v1.5.0 [Windows only]
- Added multi-stream recording capability
- Supported Bayer8 pixel formats in video recording

## ItalaSDK v2024.06.10
### ItalaApi v1.3.3, ItalaApiC v1.3.3, ItalaApiNET v1.3.3, ItalaApiPython v1.3.3
- Fixed timestamp frequency getter freeze bug
### ItalaApiNET v1.3.3
- Fixed bug on system module disposal
### ItalaView v1.4.0 [Windows only]
- Added stream video recording capability

## ItalaSDK v2024.04.16
- Added ItalaApi's Python wrapper (ItalaApiPython) v1.3.2
### ItalaApi v1.3.2, ItalaApiC v1.3.2
- Adjusted public headers inlcude paths
- Removed invasive debug logs in defective pixel and conversion procedures
### ItalaApiNET v1.3.2
- Fixed memory violation error when disposing IDisposable objects
### ItalaView v1.3.3 [Windows only], itala-fwupdate CLI tool [Linux only]
- Improved stability during wait stage in firmware update procedure

## ItalaSDK v2024.03.26
### ItalaView v1.3.2 [Windows only], itala-fwupdate CLI tool [Linux only]
- Fixed recurrent access denied error in firmware update procedure

## ItalaSDK v2024.03.15
### ItalaApi v1.3.1, ItalaApiC v1.3.1, ItalaApiNET v1.3.1
- Fixed polarization component extraction and demosaicing for 01, 11 and 10 color layouts
- Fixed normalization for 10 and 12 bit polarization images
### ItalaView v1.3.1 [Windows only], itala-fwupdate CLI tool [Linux only]
- Fixed compatibility with camera firmare v2.1.2 for polarization formats

## ItalaSDK v2024.03.04
- Improved linux package installation folder structure
### ItalaApi v1.3.0, ItalaApiC v1.3.0, ItalaApiNET v1.3.0
- Added support for polarization images
- Added support for image creation
### ItalaView v1.3.0 [Windows only]
- Camera XML file can be saved to disk
- Fixed missing SequencerSetActive chunk data value
- Added raw polarization image display
  
## ItalaSDK v2023.12.07
- Added ItalaApi's .NET wrapper (ItalaApiNET) v1.2.4
- Various sample code fixed
### ItalaApi v1.2.4, ItalaApiC v1.2.4
- Better exceptions in format conversion
### ItalaView v1.2.0 [Windows only]
- Added connect/disconnect context menu on camera list panel
- Fixed wrong language settings at startup

## ItalaSDK v2023.11.15
- Fixed linux firmware update bug
### ItalaApi v1.2.3, ItalaApiC v1.2.3
- IP endianness fixed in logs
- Dependency updates

## ItalaSDK v2023.11.06
### ItalaView v1.1.0 [Windows only]
- Node name and display name added to node description panel
- Node name and value can be copied from a context menu of the tree
- Color correction UI improved
- Added support for the new 2.0.0 firmware version

## ItalaSDK v2023.10.23
- Added ItalaApi's C wrapper (ItalaApiC)
### ItalaApi v1.2.2
- Added log on event error
### ItalaView v1.0.12 [Windows only]
- Minor dependency updates

## ItalaSDK v2023.08.30
- Calendar versioning introduced
- Added firmware update CLI utility [Linux only]
- Added ip configuration CLI utility [Linux only]
- Added samples Makefile [Linux only]
- FHS install folder structure
### ItalaApi v1.2.1
- Ip address conversion bug fixed
### ItalaView v1.0.11 [Windows only]
- Firmware update wizard minor fixes
- Feature save/load freeze bug fixed
- Various responsiveness issues fixed
- Selection of unavailable values on GenApi enumeration nodes prevented

## ItalaSDK v1.2.0
### ItalaApi v1.2.0
- Added camera emulator in GenTL producer

## ItalaSDK v1.1.2 [Windows only]
### ItalaApi v1.1.2
- Improved GigE Vision logging
- Ignored ActionScheduledTimeEnable flag bug fixed
- Multi camera access violation on initialization bug fixed
- Absolute time in nanoseconds introduced for scheduled action commands
### ItalaView v1.0.10
- Firmware update wizard stability improved
- Firmware update available for devices already in factory mode
- Bayer GB8 bug fixed
- Displaying of incomplete frames added

## ItalaSDK v1.1.1 [Windows only]
### ItalaApi v1.1.1
- Event listening thread abort bug fixed
- Event timestamp fixed
- Hot and cold defect detection bug fixed
### ItalaView v1.0.9
- Essentials dependency updated to v2.0.3

## ItalaSDK v1.1.0 [Windows only]
### ItalaApi v1.1.0
- Added action command functionality via GenTL interface nodemap
### ItalaView v1.0.8
- Float nodes min and max are displayed with their precision
- Device nodes tree removed when device is disconnected
- Added support for register type nodes
- Polling cycle separated from device refresh cycle
- Fixed some memory issues
- Fixed horizontal/vertical line profiling for mono pixel formats
- Added support for different demosaicing algorithms

## ItalaSDK v1.0.0 [Windows only]
### ItalaApi v1.0.0
- Added Image convert function to unpack and/or demosaic specific pixel formats
- Added Image clone function to deep copy image instances
- Smart assign utilities marked inline to avoid ODR violations
- Improved logging
- Fixed disappeared logging file
- Fixed packet size negotiation bug
### ItalaView v1.0.7
- Fixed UI freeze when an invalid GEV write occurs
- Fixed Node command
- Node float ( GenApi64bit ) is readed as a double and then converted in float

## ItalaSDK v0.1.2 [Windows only]
### ItalaApi v0.1.2
- Filter driver and packet resend functionality are now enabled by default
- Fixed packet size negotiation infinite wait on failure
- Fixed auto port configuration on device init
### ItalaView v1.0.5
- Fixed X-Axis values on vertical line profile;
- Fixed line profiler mat creation -> line profiler y-axis shows now correct values

## ItalaSDK v0.1.1 [Windows only]
### ItalaApi v0.1.1
- Fixed GenTL exports in ItalaApi DLL
- GenTL producer's nodemap feature names updated
- Relaxed filter driver error handling during device init procedure
## ItalaSDK v0.1.0
- initial release