
/***********************************************************************************
 *
 * ItalaApi - Copyright (C) 2022 Opto Engineering
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY SUFFERED BY LICENSE AS
 * A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 ***********************************************************************************/

#ifndef ITALA_API_EXPORT_H
#define ITALA_API_EXPORT_H

#ifdef ITALA_EXPORTS
  #ifdef _WIN32
    #define ITALA_API __declspec(dllexport)
  #else
    #define ITALA_API __attribute__((visibility("default")))
  #endif
#else
  #ifdef _WIN32
    #define ITALA_API __declspec(dllimport)
  #else
    #define ITALA_API
  #endif
#endif

#ifndef ITALA_DEPRECATED
  #if defined(_MSC_VER)
    #define ITALA_DEPRECATED(message, declarator) __declspec(deprecated(message)) declarator
  #elif defined(__GNUC__)
    #define ITALA_DEPRECATED(message, declarator) __attribute__((deprecated(message))) declarator
  #else
    #define ITALA_DEPRECATED(message, declarator) declarator
  #endif
#endif

#endif