
/***********************************************************************************
 *
 * ItalaApi - Copyright (C) 2023 Opto Engineering
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY SUFFERED BY LICENSE AS
 * A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 ***********************************************************************************/

#ifndef ITALA_API_C_BOOLEAN_H
#define ITALA_API_C_BOOLEAN_H

#include "ItalaApiC/Export.h"
#include "ItalaApiC/ItalaCDefs.h"
#include "ItalaApiC/ItalaGenApiCDefs.h"

#ifdef __cplusplus
extern "C" {
namespace ItalaC {
#endif

/**
 * Set the value of a boolean node.
 *
 * @param[in] hNode Handle to Node instance, should be a Boolean node.
 * @param[in] value Value to set.
 *
 * @return ItalaError the error code; return ItalaErrorSuccess (0) if no errors occures.
 */
ITALA_API_C ItalaError NODE_BooleanSetValue(H_NODE hNode, bool value);
/**
 * Get the value of a boolean node.
 *
 * @param[in] hNode Handle to Node instance, should be a Boolean node.
 * @param[out] pValue Value retrived.
 *
 * @return ItalaError the error code; return ItalaErrorSuccess (0) if no errors occures.
 */
ITALA_API_C ItalaError NODE_BooleanGetValue(H_NODE hNode, bool* pValue);

#ifdef __cplusplus
}
}
#endif

#endif