
/***********************************************************************************
 *
 * ItalaApi - Copyright (C) 2023 Opto Engineering
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY SUFFERED BY LICENSE AS
 * A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 ***********************************************************************************/

#ifndef ITALA_API_C_COMMAND_H
#define ITALA_API_C_COMMAND_H

#include "ItalaApiC/Export.h"
#include "ItalaApiC/ItalaCDefs.h"
#include "ItalaApiC/ItalaGenApiCDefs.h"

#ifdef __cplusplus
extern "C" {
namespace ItalaC {
#endif

/**
 * Execute the action associated with the command node.
 *
 * @param[in] hNode Handle to Node instance, should be a Command node.
 *
 * @return ItalaError the error code; return ItalaErrorSuccess (0) if no errors occures.
 */
ITALA_API_C ItalaError NODE_CommandExecute(H_NODE hNode);
/**
 * Get if the execution of the node is completed or not.
 *
 * @param[in] hNode Handle to Node instance, should be a Command node.
 * @param[out] pIsDone Execution has been completed.
 *
 * @return ItalaError the error code; return ItalaErrorSuccess (0) if no errors occures.
 */
ITALA_API_C ItalaError NODE_CommandIsDone(H_NODE hNode, bool* pIsDone);

#ifdef __cplusplus
}
}
#endif

#endif