# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
foreach(item RANGE 1 3)
    get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
endforeach()
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

macro(CreateImportedTarget target_name)
    add_library (${target_name} SHARED IMPORTED)
    set_target_properties (${target_name} PROPERTIES
            INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
            IMPORTED_LINK_INTERFACE_LANGUAGES "CXX"
            IMPORTED_LOCATION "${_IMPORT_PREFIX}/lib/lib${target_name}_gcc7_v3_3_OptoE.so"
    )
    set(${target_name}_FOUND TRUE)
endmacro()

CreateImportedTarget(GenApi)
CreateImportedTarget(GCBase)
CreateImportedTarget(Log)
