from itala import itala

system = itala.create_system()
interfaces_info = system.enumerate_interfaces()
if(interfaces_info.size() == 0):
    print("No network interfaces found. Example canceled.")
    exit(1)
print(str(interfaces_info.size())+" interfaces discovered.\n")

for interface in interfaces_info:
    print(interface.display_name)
    print("\tMAC Address: " + str(interface.mac_address_as_string))
    print("\tIP Address: " + str(interface.ip_address_as_string))
    print("\tSubnet mask: " + str(interface.subnet_mask_as_string))

    devices_info = system.enumerate_devices(interface, 700)
    for device in devices_info:
        print("\tDevice is "+ str(device.serial_number))
        print("\t\tDisplay name: "+ str(device.display_name))
        print("\t\tMAC Address: " + str(device.mac_address_as_string))
        print("\t\tIP Address: "+ str(device.ip_address_as_string))
        print("\t\tModel: "+ str(device.model))
        print("\t\tAccess status: "+ str(device.access_status))
    print("\n")
system.dispose()