from itala import itala

# Initialize the system instance to enables the usage of the entire API
system = itala.create_system()

# Look for available devices across all network interfaces on the host and
# retrieve a list of DeviceInfo objects, with a limit of 700ms to show up.
devices = system.enumerate_devices(300)

if(devices.size() == 0):
    print("No devices found. Aborted.")
    exit(1)
print(str(devices.size()) + " devices found.")
# For every device found some information is printed
for device in devices:
    print("Device is "+ str(device.serial_number))
    print("\t\tDisplay name: "+ str(device.display_name))
    print("\t\tMAC Address: " + str(device.mac_address_as_string))
    print("\t\tIP Address: "+ str(device.ip_address_as_string))
    print("\t\tModel: "+ str(device.model))
    print("\t\tAccess status: "+ str(device.access_status))

# Never forget to dispose the system when done!
system.dispose()